Bug 87984 - cdrom units not properly configured
Summary: cdrom units not properly configured
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-04 10:15 UTC by David Balažic
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-29 20:56:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2003-04-04 10:15:46 UTC
Description of problem:

No correct /dev/cdrom* links and fstab entries are created fromy two CD drives.

[root@slave6 root]# cat /proc/ide/hde/model
CD-532E-B
[root@slave6 root]# cat /proc/ide/hdg/model
CD-W540E
[root@slave6 root]# ll /dev/cdro*
lrwxrwxrwx    1 root     root            8 Apr  3 18:21 /dev/cdrom -> /dev/hdg
[root@slave6 root]# ls /mnt/
1  2  3  cdrom  floppy # 1, 2 and 3 were created by me manually
[root@slave6 root]# cat /etc/fstab.REVOKE
/dev/cdrom /mnt/cdrom auto defaults
/dev/cdrom1 /mnt/cdrom1 auto defaults
[root@slave6 root]# cat /etc/fstab
LABEL=shrike            /                       ext3    defaults        1 1
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/hde2               swap                    swap    defaults        0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660 
noauto,owner,kudzu,ro 0 0
[root@slave6 root]#



Version-Release number of selected component (if applicable):
Red Hat Linux 9 (Shrike)
kudzu-0.99.99-1.i386.rpm 


Additional info:

Here is what happened: I installed rhl9, then moved both cd drives from their 
old positions, to their current positions. Booted rhl9, the results are above.

Comment 1 David Balažic 2003-04-04 10:18:00 UTC
Originally , there was a "hda=ide-scsi" kernel option, but when I reshuffled 
the drives, hda became my system HD and the kernel could not find the root fs 
anymore, so I removed that kernel option. ( I should have added hdg=ide-scsi , 
but did not do it yet )

Comment 2 Bill Nottingham 2003-04-04 16:20:25 UTC
What are /dev/cdrom and /dev/cdrom1 linked to?

Comment 3 David Balažic 2003-04-04 17:02:15 UTC
I already wrote this :-)

/dev/cdrom -> /dev/hdg
/dev/cdrom1 does not exist

Comment 4 Bill Nottingham 2005-03-29 20:56:13 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

This is now handled in HAL with fstab-sync, and in the udev configuration. As
such, the old kudzu code is unlikely to change.


Note You need to log in before you can comment on or make changes to this bug.